## org.eclipse.uml2.common.util
Class DerivedEObjectEList.ResolvingDerivedListIterator

    java.lang.Object
      org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
          org.eclipse.uml2.common.util.DerivedEObjectEList.ResolvingDerivedListIterator

All Implemented Interfaces:
  java.util.Iterator<E>, java.util.ListIterator<E>

Enclosing class:
  DerivedEObjectEList<E>

    protected class DerivedEObjectEList.ResolvingDerivedListIterator

extends DerivedEObjectEList.DerivedListIterator

Field Summary

Fields inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
`featureIndex, index, prepared, preparedFeature, preparedValues, valuesIterator`

Constructor Summary
`protected` `DerivedEObjectEList.ResolvingDerivedListIterator()`

Method Summary
`protected boolean` `resolve()`

Methods inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
`add, hasNext, hasPrevious, next, nextIndex, prepareNext, preparePrevious, previous, previousIndex, remove, scanNext, scanPrevious, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerivedEObjectEList.ResolvingDerivedListIterator

    protected DerivedEObjectEList.ResolvingDerivedListIterator()

Method Detail

### resolve

    protected boolean resolve()

  Overrides:
    `resolve` in class `DerivedEObjectEList.DerivedListIterator`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.